Bug 1068980 - Review Request: rubygem-hitimes - A fast, high resolution timer library for recording performance metrics
Summary: Review Request: rubygem-hitimes - A fast, high resolution timer library for r...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047703 1107261
TreeView+ depends on / blocked
 
Reported: 2014-02-23 18:50 UTC by Achilleas Pipinellis
Modified: 2015-06-23 07:24 UTC (History)
5 users (show)

Fixed In Version: rubygem-hitimes-1.2.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-23 07:24:05 UTC
vondruch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Achilleas Pipinellis 2014-02-23 18:50:20 UTC
Spec URL: http://axilleas.fedorapeople.org/reviews/rubygem-hitimes.spec
SRPM URL: http://axilleas.fedorapeople.org/reviews/rubygem-hitimes-1.2.1-1.fc20.src.rpm

Description: Hitimes is a fast, high resolution timer library for recording performance metrics. It uses the appropriate low method calls for each system to get the highest granularity time increments possible.

Fedora Account System Username: axilleas

Needed build dependency for new timers-2.0.0 update.

Comment 1 Ken Dreyer 2014-05-24 18:59:51 UTC
I can take this one. Full review coming up.

Comment 2 Ken Dreyer 2014-05-24 19:05:43 UTC
Mind conditionalizing the Requires and Provides?

  %if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
  Requires: ruby(release)
  Requires: rubygems
  %endif

  %if 0%{?fc19} || 0%{?fc20} || 0%{?el7}
  Provides: rubygem(%{gem_name}) = %{version}
  %endif

I'm also getting a build failure on Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6887108

Comment 3 Achilleas Pipinellis 2014-05-24 19:39:20 UTC
Hmm, I was pretty sure I had tested it when I uploaded. Also, I didn't consider to update the spec with newer standards, will do it ASAP. Thanks.

Comment 4 Michael Adam 2015-01-25 22:59:50 UTC
Hi!

I started to review the package, because I'd like to have it in.

It builds nicely on f20. But it does not build on f21 or rawhide.
I first need to change the location of the .so file in the %install
section, but then it fails in %check
(for rawhide, "rspec" needs to be changed to "rspec2" first):

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- hitimes/hitimes (LoadError)
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /builddir/build/BUILD/hitimes-1.2.1/usr/share/gems/gems/hitimes-1.2.1/lib/hitimes.rb:37:in `rescue in <top (required)>'
        from /builddir/build/BUILD/hitimes-1.2.1/usr/share/gems/gems/hitimes-1.2.1/lib/hitimes.rb:32:in `<top (required)>'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /builddir/build/BUILD/hitimes-1.2.1/usr/share/gems/gems/hitimes-1.2.1/spec/spec_helper.rb:3:in `<top (required)>'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /builddir/build/BUILD/hitimes-1.2.1/usr/share/gems/gems/hitimes-1.2.1/spec/hitimes_spec.rb:1:in `<top (required)>'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/configuration.rb:896:in `load'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/configuration.rb:896:in `block in load_spec_files'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/configuration.rb:896:in `each'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/configuration.rb:896:in `load_spec_files'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/command_line.rb:22:in `run'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/runner.rb:80:in `run'
        from /usr/share/gems/gems/rspec-core-2.14.8/lib/rspec/core/runner.rb:17:in `block in autorun'
error: Bad exit status from /var/tmp/rpm-tmp.lesEQ2 (%check)
    Bad exit status from /var/tmp/rpm-tmp.lesEQ2 (%check)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Not quite sure how to go on from here.

NB: There is also a newer version 1.2.2 of hitimes meanwhile.

Michael

Comment 5 Josef Stribny 2015-02-18 11:47:24 UTC
Hi,

since we need this gem and the original submitter has not touched the package for a half of a year I took the liberty to fix the package, update it to the latest upstream release and continue with the review.

SRPM: http://data-strzibny.rhcloud.com/rubygem-hitimes-1.2.2-1.fc23.src.rpm
SPEC: http://data-strzibny.rhcloud.com/rubygem-hitimes.spec

Ken, could you please finish the review? Or should someone else take over?

Comment 6 Vít Ondruch 2015-06-22 13:33:04 UTC
* Descriptions should end by dot
  - This is not the case for -doc subpackage.


This is the only minor nit I found and to move this forward (and also the fix of FTBFS/update of Timers) I APPROVE this package. Josef, please continue with dist-git procedure.

Comment 7 Josef Stribny 2015-06-22 14:40:21 UTC
Thanks for the review.



New Package SCM Request
=======================
Package Name: rubygem-hitimes
Short Description: A fast, high resolution timer library for recording performance metrics
Upstream URL: http://github.com/copiousfreetime/hitimes
Owners: jstribny
Branches: f22
InitialCC:

Comment 8 Gwyn Ciesla 2015-06-22 19:20:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.